Package ru.bitel.bgbilling.modules.cerbercrypt.server.bean

# Class PacketManager

java.lang.Object
ru.bitel.bgbilling.modules.cerbercrypt.server.bean.PacketManager

public class PacketManager extends Object
Менеджер пакетов.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PacketManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deletePacket(int id)`
  `Packet`
  `getPacketById(int id)`
  `List<Packet>`
  `getPacketList()`
  Список всех пакетов, сортировка по заголовку.
  `List<Packet>`
  `getPacketList(boolean cinema)`
  Список всех пакетов вирт-синемы либо не-вирт-синемы, сортировка по заголовку.
  `Map<Integer,Packet>`
  `getPacketMap()`
  Возвращает все пакеты мэпом.
  `void`
  `updatePacket(Packet packet)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PacketManager

    public PacketManager(Connection con, int mid)

- ## Method Details

  - ### updatePacket

    public void updatePacket(Packet packet) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPacketList

    public List<Packet> getPacketList() throws ru.bitel.bgbilling.common.BGException
    Список всех пакетов, сортировка по заголовку.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPacketList

    public List<Packet> getPacketList(boolean cinema) throws ru.bitel.bgbilling.common.BGException
    Список всех пакетов вирт-синемы либо не-вирт-синемы, сортировка по заголовку.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPacketMap

    public Map<Integer,Packet> getPacketMap() throws ru.bitel.bgbilling.common.BGException
    Возвращает все пакеты мэпом.
    Returns:
      Мап(id => пакет)
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPacketById

    public Packet getPacketById(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deletePacket

    public void deletePacket(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`